<template>
  <fieldset>
    <textarea
        id="content"
        name="content"
        rows="8"
        :placeholder="t('text_field_label')"
        :value="currentSettings.content"
    ></textarea>
  </fieldset>
</template>

<script>
module.exports = {
  name: "text-field",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    }
  },
  locales: {
    enGb: {
      text_field_label: "Enter your text here! (supports HTML)"
    },
    deDe: {
      text_field_label: "Gib deinen Text hier ein! (unterstützt HTML)"
    },
    frFr: {
      text_field_label: "Entrez votre texte ici ! (supporte HTML)"
    },
    esEs: {
      text_field_label: "¡Introduzca su texto aquí! (soporta HTML)"
    },
    plPl: {
      text_field_label: "Wpisz tutaj swój tekst! (obsługuje HTML)"
    },
    koKr: {
      text_field_label: "여기에 텍스트를 입력하세요! (HTML 지원)"
    }
  }
};
</script>
